summaryrefslogtreecommitdiff
path: root/travis
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.com>2018-02-08 01:49:11 +0100
committerDavid Sterba <dsterba@suse.com>2018-02-13 15:41:32 +0100
commit5432a68997e40a91edc9497713b64bdd4a094300 (patch)
tree66631544119adb682c9b9df7068edf8e8e2c3286 /travis
parentba067ed4eeae5e914d5478690a3791af7fec703b (diff)
btrfs-progs: ci: replace inline shell commands with scripts
Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'travis')
-rwxr-xr-xtravis/build-dep-reiserfs15
-rwxr-xr-xtravis/build-dep-zstd14
2 files changed, 29 insertions, 0 deletions
diff --git a/travis/build-dep-reiserfs b/travis/build-dep-reiserfs
new file mode 100755
index 0000000..b32b805
--- /dev/null
+++ b/travis/build-dep-reiserfs
@@ -0,0 +1,15 @@
+#!/bin/sh
+# download, build and install reiserfs library
+
+version=3.6.27
+
+set -e
+
+mkdir tmp-reiser
+cd tmp-reiser
+wget https://www.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/v${version}/reiserfsprogs-${version}.tar.xz
+tar xf reiserfsprogs-${version}.tar.xz
+cd reiserfsprogs-${version}
+./configure --prefix=/usr
+make all
+sudo make install
diff --git a/travis/build-dep-zstd b/travis/build-dep-zstd
new file mode 100755
index 0000000..22369dd
--- /dev/null
+++ b/travis/build-dep-zstd
@@ -0,0 +1,14 @@
+#!/bin/sh
+# download, build and install the zstd library
+
+version=1.3.3
+
+set -e
+
+mkdir tmp-zstd
+cd tmp-zstd
+wget https://github.com/facebook/zstd/archive/v${version}.tar.gz
+tar xf v${version}.tar.gz
+cd zstd-${version}
+make
+sudo make install PREFIX=/usr